## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Perform Batch Operations

#### PATCH

/v2.0/flows/{flowId}/intents/{intentId}/sentences

##### cURL

```bash
curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "operations": [\
    {\
      "op": "delete",\
      "id": "<string>"\
    }\
  ]
}
'```

##### Python
```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences"

payload = { "operations": [\
        {\
            "op": "delete",\
            "id": "<string>"\
        }\
    ] }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

##### JavaScript (Fetch)
```javascript
const options = {  
  method: 'PATCH',  
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},  
  body: JSON.stringify({operations: [{op: 'delete', id: '<string>'}]})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences', options)  
  .then(res => res.json())  
  .then(res => console.log(res))  
  .catch(err => console.error(err));
```

##### PHP
```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "PATCH",\
  CURLOPT_POSTFIELDS => json_encode([\
    'operations' => [\
        [\
                'op' => 'delete',\
                'id' => '<string>'\
        ]\
    ]\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

##### Go
```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences"

payload := strings.NewReader("{\n  \"operations\": [\n    {\n      \"op\": \"delete\",\n      \"id\": \"<string>\"\n    }\n  ]\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

##### Response Codes

- `200`
- `400`
- `401`
- `402`
- `403`
- `404`
- `405`
- `409`
- `413`
- `500`
- `501`
- `502`
- `503`
- `504`

##### JSON Response Example

```json
{
  "created": [\
    "<string>"\
  ],\
  "updated": [\
    "<string>"\
  ],\
  "deleted": [\
    "<string>"\
  ]
}
```

##### Error Response Example
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

- `APIKeyHeader`
- `APIKeyQueryParam`
- `CXoneTokenHeader`
- `OAuth2APIKeyHeader`

#### Headers

- `X-API-Key`: string, header, required, Supply the API Key in the HTTP-Header

#### Path Parameters

- `flowId`: string, required, The unique identifier for the Flow.
- `intentId`: string, required, The unique identifier for the Intent.
